# -*- coding: utf-8 -*-

# Copyright (C) 2016, 2017 - BenBaptist and Wrapper.py developer(s).
# https://github.com/benbaptist/minecraft-wrapper
# This program is distributed under the terms of the GNU
# General Public License, version 3 or later.

BLOCKS = {
    0: {
        "meta": {
            0: "Air"
        }, 
        "tilename": "air"
    }, 
    1: {
        "meta": {
            0: "Stone", 
            1: "Granite", 
            2: "Polished Granite", 
            3: "Diorite", 
            4: "Polished Diorite", 
            5: "Andesite", 
            6: "Polished Andesite"
        }, 
        "tilename": "stone"
    }, 
    2: {
        "meta": {
            0: "Grass"
        }, 
        "tilename": "grass"
    }, 
    3: {
        "meta": {
            0: "Dirt", 
            1: "Coarse Dirt", 
            2: "Podzol"
        }, 
        "tilename": "dirt"
    }, 
    4: {
        "meta": {
            0: "Cobblestone"
        }, 
        "tilename": "cobblestone"
    }, 
    5: {
        "meta": {
            0: "Oak Wood Plank", 
            1: "Spruce Wood Plank", 
            2: "Birch Wood Plank", 
            3: "Jungle Wood Plank", 
            4: "Acacia Wood Plank", 
            5: "Dark Oak Wood Plank"
        }, 
        "tilename": "planks"
    }, 
    6: {
        "meta": {
            0: "Oak Sapling", 
            1: "Spruce Sapling", 
            2: "Birch Sapling", 
            3: "Jungle Sapling", 
            4: "Acacia Sapling", 
            5: "Dark Oak Sapling"
        }, 
        "tilename": "sapling"
    }, 
    7: {
        "meta": {
            0: "Bedrock"
        }, 
        "tilename": "bedrock"
    }, 
    8: {
        "meta": {
            0: "Flowing Water"
        }, 
        "tilename": "flowing_water"
    }, 
    9: {
        "meta": {
            0: "Still Water"
        }, 
        "tilename": "water"
    }, 
    10: {
        "meta": {
            0: "Flowing Lava"
        }, 
        "tilename": "flowing_lava"
    }, 
    11: {
        "meta": {
            0: "Still Lava"
        }, 
        "tilename": "lava"
    }, 
    12: {
        "meta": {
            0: "Sand", 
            1: "Red Sand"
        }, 
        "tilename": "sand"
    }, 
    13: {
        "meta": {
            0: "Gravel"
        }, 
        "tilename": "gravel"
    }, 
    14: {
        "meta": {
            0: "Gold Ore"
        }, 
        "tilename": "gold_ore"
    }, 
    15: {
        "meta": {
            0: "Iron Ore"
        }, 
        "tilename": "iron_ore"
    }, 
    16: {
        "meta": {
            0: "Coal Ore"
        }, 
        "tilename": "coal_ore"
    }, 
    17: {
        "meta": {
            0: "Oak Wood", 
            1: "Spruce Wood", 
            2: "Birch Wood", 
            3: "Jungle Wood"
        }, 
        "tilename": "log"
    }, 
    18: {
        "meta": {
            0: "Oak Leaves", 
            1: "Spruce Leaves", 
            2: "Birch Leaves", 
            3: "Jungle Leaves"
        }, 
        "tilename": "leaves"
    }, 
    19: {
        "meta": {
            0: "Sponge", 
            1: "Wet Sponge"
        }, 
        "tilename": "sponge"
    }, 
    20: {
        "meta": {
            0: "Glass"
        }, 
        "tilename": "glass"
    }, 
    21: {
        "meta": {
            0: "Lapis Lazuli Ore"
        }, 
        "tilename": "lapis_ore"
    }, 
    22: {
        "meta": {
            0: "Lapis Lazuli Block"
        }, 
        "tilename": "lapis_block"
    }, 
    23: {
        "meta": {
            0: "Dispenser"
        }, 
        "tilename": "dispenser"
    }, 
    24: {
        "meta": {
            0: "Sandstone", 
            1: "Chiseled Sandstone", 
            2: "Smooth Sandstone"
        }, 
        "tilename": "sandstone"
    }, 
    25: {
        "meta": {
            0: "Note Block"
        }, 
        "tilename": "noteblock"
    }, 
    26: {
        "meta": {
            0: "Bed"
        }, 
        "tilename": "bed"
    }, 
    27: {
        "meta": {
            0: "Powered Rail"
        }, 
        "tilename": "golden_rail"
    }, 
    28: {
        "meta": {
            0: "Detector Rail"
        }, 
        "tilename": "detector_rail"
    }, 
    29: {
        "meta": {
            0: "Sticky Piston"
        }, 
        "tilename": "sticky_piston"
    }, 
    30: {
        "meta": {
            0: "Cobweb"
        }, 
        "tilename": "web"
    }, 
    31: {
        "meta": {
            0: "Dead Shrub", 
            1: "Grass", 
            2: "Fern"
        }, 
        "tilename": "tallgrass"
    }, 
    32: {
        "meta": {
            0: "Dead Bush"
        }, 
        "tilename": "deadbush"
    }, 
    33: {
        "meta": {
            0: "Piston"
        }, 
        "tilename": "piston"
    }, 
    34: {
        "meta": {
            0: "Piston Head"
        }, 
        "tilename": "piston_head"
    }, 
    35: {
        "meta": {
            0: "White Wool", 
            1: "Orange Wool", 
            2: "Magenta Wool", 
            3: "Light Blue Wool", 
            4: "Yellow Wool", 
            5: "Lime Wool", 
            6: "Pink Wool", 
            7: "Gray Wool", 
            8: "Light Gray Wool", 
            9: "Cyan Wool", 
            10: "Purple Wool", 
            11: "Blue Wool", 
            12: "Brown Wool", 
            13: "Green Wool", 
            14: "Red Wool", 
            15: "Black Wool"
        }, 
        "tilename": "wool"
    }, 
    37: {
        "meta": {
            0: "Dandelion"
        }, 
        "tilename": "yellow_flower"
    }, 
    38: {
        "meta": {
            0: "Poppy", 
            1: "Blue Orchid", 
            2: "Allium", 
            3: "Azure Bluet", 
            4: "Red Tulip", 
            5: "Orange Tulip", 
            6: "White Tulip", 
            7: "Pink Tulip", 
            8: "Oxeye Daisy"
        }, 
        "tilename": "red_flower"
    }, 
    39: {
        "meta": {
            0: "Brown Mushroom"
        }, 
        "tilename": "brown_mushroom"
    }, 
    40: {
        "meta": {
            0: "Red Mushroom"
        }, 
        "tilename": "red_mushroom"
    }, 
    41: {
        "meta": {
            0: "Gold Block"
        }, 
        "tilename": "gold_block"
    }, 
    42: {
        "meta": {
            0: "Iron Block"
        }, 
        "tilename": "iron_block"
    }, 
    43: {
        "meta": {
            0: "Double Stone Slab", 
            1: "Double Sandstone Slab", 
            2: "Double Wooden Slab", 
            3: "Double Cobblestone Slab", 
            4: "Double Brick Slab", 
            5: "Double Stone Brick Slab", 
            6: "Double Nether Brick Slab", 
            7: "Double Quartz Slab"
        }, 
        "tilename": "double_stone_slab"
    }, 
    44: {
        "meta": {
            0: "Stone Slab", 
            1: "Sandstone Slab", 
            2: "Wooden Slab", 
            3: "Cobblestone Slab", 
            4: "Brick Slab", 
            5: "Stone Brick Slab", 
            6: "Nether Brick Slab", 
            7: "Quartz Slab"
        }, 
        "tilename": "stone_slab"
    }, 
    45: {
        "meta": {
            0: "Bricks"
        }, 
        "tilename": "brick_block"
    }, 
    46: {
        "meta": {
            0: "TNT"
        }, 
        "tilename": "tnt"
    }, 
    47: {
        "meta": {
            0: "Bookshelf"
        }, 
        "tilename": "bookshelf"
    }, 
    48: {
        "meta": {
            0: "Moss Stone"
        }, 
        "tilename": "mossy_cobblestone"
    }, 
    49: {
        "meta": {
            0: "Obsidian"
        }, 
        "tilename": "obsidian"
    }, 
    50: {
        "meta": {
            0: "Torch"
        }, 
        "tilename": "torch"
    }, 
    51: {
        "meta": {
            0: "Fire"
        }, 
        "tilename": "fire"
    }, 
    52: {
        "meta": {
            0: "Monster Spawner"
        }, 
        "tilename": "mob_spawner"
    }, 
    53: {
        "meta": {
            0: "Oak Wood Stairs"
        }, 
        "tilename": "oak_stairs"
    }, 
    54: {
        "meta": {
            0: "Chest"
        }, 
        "tilename": "chest"
    }, 
    55: {
        "meta": {
            0: "Redstone Wire"
        }, 
        "tilename": "redstone_wire"
    }, 
    56: {
        "meta": {
            0: "Diamond Ore"
        }, 
        "tilename": "diamond_ore"
    }, 
    57: {
        "meta": {
            0: "Diamond Block"
        }, 
        "tilename": "diamond_block"
    }, 
    58: {
        "meta": {
            0: "Crafting Table"
        }, 
        "tilename": "crafting_table"
    }, 
    59: {
        "meta": {
            0: "Wheat Crops"
        }, 
        "tilename": "wheat"
    }, 
    60: {
        "meta": {
            0: "Farmland"
        }, 
        "tilename": "farmland"
    }, 
    61: {
        "meta": {
            0: "Furnace"
        }, 
        "tilename": "furnace"
    }, 
    62: {
        "meta": {
            0: "Burning Furnace"
        }, 
        "tilename": "lit_furnace"
    }, 
    63: {
        "meta": {
            0: "Standing Sign Block"
        }, 
        "tilename": "standing_sign"
    }, 
    64: {
        "meta": {
            0: "Oak Door Block"
        }, 
        "tilename": "wooden_door"
    }, 
    65: {
        "meta": {
            0: "Ladder"
        }, 
        "tilename": "ladder"
    }, 
    66: {
        "meta": {
            0: "Rail"
        }, 
        "tilename": "rail"
    }, 
    67: {
        "meta": {
            0: "Cobblestone Stairs"
        }, 
        "tilename": "stone_stairs"
    }, 
    68: {
        "meta": {
            0: "Wall-mounted Sign Block"
        }, 
        "tilename": "wall_sign"
    }, 
    69: {
        "meta": {
            0: "Lever"
        }, 
        "tilename": "lever"
    }, 
    70: {
        "meta": {
            0: "Stone Pressure Plate"
        }, 
        "tilename": "stone_pressure_plate"
    }, 
    71: {
        "meta": {
            0: "Iron Door Block"
        }, 
        "tilename": "iron_door"
    }, 
    72: {
        "meta": {
            0: "Wooden Pressure Plate"
        }, 
        "tilename": "wooden_pressure_plate"
    }, 
    73: {
        "meta": {
            0: "Redstone Ore"
        }, 
        "tilename": "redstone_ore"
    }, 
    74: {
        "meta": {
            0: "Glowing Redstone Ore"
        }, 
        "tilename": "lit_redstone_ore"
    }, 
    75: {
        "meta": {
            0: "Redstone Torch (off)"
        }, 
        "tilename": "unlit_redstone_torch"
    }, 
    76: {
        "meta": {
            0: "Redstone Torch (on)"
        }, 
        "tilename": "redstone_torch"
    }, 
    77: {
        "meta": {
            0: "Stone Button"
        }, 
        "tilename": "stone_button"
    }, 
    78: {
        "meta": {
            0: "Snow"
        }, 
        "tilename": "snow_layer"
    }, 
    79: {
        "meta": {
            0: "Ice"
        }, 
        "tilename": "ice"
    }, 
    80: {
        "meta": {
            0: "Snow Block"
        }, 
        "tilename": "snow"
    }, 
    81: {
        "meta": {
            0: "Cactus"
        }, 
        "tilename": "cactus"
    }, 
    82: {
        "meta": {
            0: "Clay"
        }, 
        "tilename": "clay"
    }, 
    83: {
        "meta": {
            0: "Sugar Canes"
        }, 
        "tilename": "reeds"
    }, 
    84: {
        "meta": {
            0: "Jukebox"
        }, 
        "tilename": "jukebox"
    }, 
    85: {
        "meta": {
            0: "Oak Fence"
        }, 
        "tilename": "fence"
    }, 
    86: {
        "meta": {
            0: "Pumpkin"
        }, 
        "tilename": "pumpkin"
    }, 
    87: {
        "meta": {
            0: "Netherrack"
        }, 
        "tilename": "netherrack"
    }, 
    88: {
        "meta": {
            0: "Soul Sand"
        }, 
        "tilename": "soul_sand"
    }, 
    89: {
        "meta": {
            0: "Glowstone"
        }, 
        "tilename": "glowstone"
    }, 
    90: {
        "meta": {
            0: "Nether Portal"
        }, 
        "tilename": "portal"
    }, 
    91: {
        "meta": {
            0: "Jack o'Lantern"
        }, 
        "tilename": "lit_pumpkin"
    }, 
    92: {
        "meta": {
            0: "Cake Block"
        }, 
        "tilename": "cake"
    }, 
    93: {
        "meta": {
            0: "Redstone Repeater Block (off)"
        }, 
        "tilename": "unpowered_repeater"
    }, 
    94: {
        "meta": {
            0: "Redstone Repeater Block (on)"
        }, 
        "tilename": "powered_repeater"
    }, 
    95: {
        "meta": {
            0: "White Stained Glass", 
            1: "Orange Stained Glass", 
            2: "Magenta Stained Glass", 
            3: "Light Blue Stained Glass", 
            4: "Yellow Stained Glass", 
            5: "Lime Stained Glass", 
            6: "Pink Stained Glass", 
            7: "Gray Stained Glass", 
            8: "Light Gray Stained Glass", 
            9: "Cyan Stained Glass", 
            10: "Purple Stained Glass", 
            11: "Blue Stained Glass", 
            12: "Brown Stained Glass", 
            13: "Green Stained Glass", 
            14: "Red Stained Glass", 
            15: "Black Stained Glass"
        }, 
        "tilename": "stained_glass"
    }, 
    96: {
        "meta": {
            0: "Wooden Trapdoor"
        }, 
        "tilename": "trapdoor"
    }, 
    97: {
        "meta": {
            0: "Stone Monster Egg", 
            1: "Cobblestone Monster Egg", 
            2: "Stone Brick Monster Egg", 
            3: "Mossy Stone Brick Monster Egg", 
            4: "Cracked Stone Brick Monster Egg", 
            5: "Chiseled Stone Brick Monster Egg"
        }, 
        "tilename": "monster_egg"
    }, 
    98: {
        "meta": {
            0: "Stone Bricks", 
            1: "Mossy Stone Bricks", 
            2: "Cracked Stone Bricks", 
            3: "Chiseled Stone Bricks"
        }, 
        "tilename": "stonebrick"
    }, 
    99: {
        "meta": {
            0: "Brown Mushroom Block"
        }, 
        "tilename": "brown_mushroom_block"
    }, 
    100: {
        "meta": {
            0: "Red Mushroom Block"
        }, 
        "tilename": "red_mushroom_block"
    }, 
    101: {
        "meta": {
            0: "Iron Bars"
        }, 
        "tilename": "iron_bars"
    }, 
    102: {
        "meta": {
            0: "Glass Pane"
        }, 
        "tilename": "glass_pane"
    }, 
    103: {
        "meta": {
            0: "Melon Block"
        }, 
        "tilename": "melon_block"
    }, 
    104: {
        "meta": {
            0: "Pumpkin Stem"
        }, 
        "tilename": "pumpkin_stem"
    }, 
    105: {
        "meta": {
            0: "Melon Stem"
        }, 
        "tilename": "melon_stem"
    }, 
    106: {
        "meta": {
            0: "Vines"
        }, 
        "tilename": "vine"
    }, 
    107: {
        "meta": {
            0: "Oak Fence Gate"
        }, 
        "tilename": "fence_gate"
    }, 
    108: {
        "meta": {
            0: "Brick Stairs"
        }, 
        "tilename": "brick_stairs"
    }, 
    109: {
        "meta": {
            0: "Stone Brick Stairs"
        }, 
        "tilename": "stone_brick_stairs"
    }, 
    110: {
        "meta": {
            0: "Mycelium"
        }, 
        "tilename": "mycelium"
    }, 
    111: {
        "meta": {
            0: "Lily Pad"
        }, 
        "tilename": "waterlily"
    }, 
    112: {
        "meta": {
            0: "Nether Brick"
        }, 
        "tilename": "nether_brick"
    }, 
    113: {
        "meta": {
            0: "Nether Brick Fence"
        }, 
        "tilename": "nether_brick_fence"
    }, 
    114: {
        "meta": {
            0: "Nether Brick Stairs"
        }, 
        "tilename": "nether_brick_stairs"
    }, 
    115: {
        "meta": {
            0: "Nether Wart"
        }, 
        "tilename": "nether_wart"
    }, 
    116: {
        "meta": {
            0: "Enchantment Table"
        }, 
        "tilename": "enchanting_table"
    }, 
    117: {
        "meta": {
            0: "Brewing Stand"
        }, 
        "tilename": "brewing_stand"
    }, 
    118: {
        "meta": {
            0: "Cauldron"
        }, 
        "tilename": "cauldron"
    }, 
    119: {
        "meta": {
            0: "End Portal"
        }, 
        "tilename": "end_portal"
    }, 
    120: {
        "meta": {
            0: "End Portal Frame"
        }, 
        "tilename": "end_portal_frame"
    }, 
    121: {
        "meta": {
            0: "End Stone"
        }, 
        "tilename": "end_stone"
    }, 
    122: {
        "meta": {
            0: "Dragon Egg"
        }, 
        "tilename": "dragon_egg"
    }, 
    123: {
        "meta": {
            0: "Redstone Lamp (inactive)"
        }, 
        "tilename": "redstone_lamp"
    }, 
    124: {
        "meta": {
            0: "Redstone Lamp (active)"
        }, 
        "tilename": "lit_redstone_lamp"
    }, 
    125: {
        "meta": {
            0: "Double Oak Wood Slab", 
            1: "Double Spruce Wood Slab", 
            2: "Double Birch Wood Slab", 
            3: "Double Jungle Wood Slab", 
            4: "Double Acacia Wood Slab", 
            5: "Double Dark Oak Wood Slab"
        }, 
        "tilename": "double_wooden_slab"
    }, 
    126: {
        "meta": {
            0: "Oak Wood Slab", 
            1: "Spruce Wood Slab", 
            2: "Birch Wood Slab", 
            3: "Jungle Wood Slab", 
            4: "Acacia Wood Slab", 
            5: "Dark Oak Wood Slab"
        }, 
        "tilename": "wooden_slab"
    }, 
    127: {
        "meta": {
            0: "Cocoa"
        }, 
        "tilename": "cocoa"
    }, 
    128: {
        "meta": {
            0: "Sandstone Stairs"
        }, 
        "tilename": "sandstone_stairs"
    }, 
    129: {
        "meta": {
            0: "Emerald Ore"
        }, 
        "tilename": "emerald_ore"
    }, 
    130: {
        "meta": {
            0: "Ender Chest"
        }, 
        "tilename": "ender_chest"
    }, 
    131: {
        "meta": {
            0: "Tripwire Hook"
        }, 
        "tilename": "tripwire_hook"
    }, 
    132: {
        "meta": {
            0: "Tripwire"
        }, 
        "tilename": "tripwire_hook"
    }, 
    133: {
        "meta": {
            0: "Emerald Block"
        }, 
        "tilename": "emerald_block"
    }, 
    134: {
        "meta": {
            0: "Spruce Wood Stairs"
        }, 
        "tilename": "spruce_stairs"
    }, 
    135: {
        "meta": {
            0: "Birch Wood Stairs"
        }, 
        "tilename": "birch_stairs"
    }, 
    136: {
        "meta": {
            0: "Jungle Wood Stairs"
        }, 
        "tilename": "jungle_stairs"
    }, 
    137: {
        "meta": {
            0: "Command Block"
        }, 
        "tilename": "command_block"
    }, 
    138: {
        "meta": {
            0: "Beacon"
        }, 
        "tilename": "beacon"
    }, 
    139: {
        "meta": {
            0: "Cobblestone Wall", 
            1: "Mossy Cobblestone Wall"
        }, 
        "tilename": "cobblestone_wall"
    }, 
    140: {
        "meta": {
            0: "Flower Pot"
        }, 
        "tilename": "flower_pot"
    }, 
    141: {
        "meta": {
            0: "Carrots"
        }, 
        "tilename": "carrots"
    }, 
    142: {
        "meta": {
            0: "Potatoes"
        }, 
        "tilename": "potatoes"
    }, 
    143: {
        "meta": {
            0: "Wooden Button"
        }, 
        "tilename": "wooden_button"
    }, 
    144: {
        "meta": {
            0: "Mob Head"
        }, 
        "tilename": "skull"
    }, 
    145: {
        "meta": {
            0: "Anvil"
        }, 
        "tilename": "anvil"
    }, 
    146: {
        "meta": {
            0: "Trapped Chest"
        }, 
        "tilename": "trapped_chest"
    }, 
    147: {
        "meta": {
            0: "Weighted Pressure Plate (light)"
        }, 
        "tilename": "light_weighted_pressure_plate"
    }, 
    148: {
        "meta": {
            0: "Weighted Pressure Plate (heavy)"
        }, 
        "tilename": "heavy_weighted_pressure_plate"
    }, 
    149: {
        "meta": {
            0: "Redstone Comparator (inactive)"
        }, 
        "tilename": "unpowered_comparator"
    }, 
    150: {
        "meta": {
            0: "Redstone Comparator (active)"
        }, 
        "tilename": "powered_comparator"
    }, 
    151: {
        "meta": {
            0: "Daylight Sensor"
        }, 
        "tilename": "daylight_detector"
    }, 
    152: {
        "meta": {
            0: "Redstone Block"
        }, 
        "tilename": "redstone_block"
    }, 
    153: {
        "meta": {
            0: "Nether Quartz Ore"
        }, 
        "tilename": "quartz_ore"
    }, 
    154: {
        "meta": {
            0: "Hopper"
        }, 
        "tilename": "hopper"
    }, 
    155: {
        "meta": {
            0: "Quartz Block", 
            1: "Chiseled Quartz Block", 
            2: "Pillar Quartz Block"
        }, 
        "tilename": "quartz_block"
    }, 
    156: {
        "meta": {
            0: "Quartz Stairs"
        }, 
        "tilename": "quartz_stairs"
    }, 
    157: {
        "meta": {
            0: "Activator Rail"
        }, 
        "tilename": "activator_rail"
    }, 
    158: {
        "meta": {
            0: "Dropper"
        }, 
        "tilename": "dropper"
    }, 
    159: {
        "meta": {
            0: "White Stained Clay", 
            1: "Orange Stained Clay", 
            2: "Magenta Stained Clay", 
            3: "Light Blue Stained Clay", 
            4: "Yellow Stained Clay", 
            5: "Lime Stained Clay", 
            6: "Pink Stained Clay", 
            7: "Gray Stained Clay", 
            8: "Light Gray Stained Clay", 
            9: "Cyan Stained Clay", 
            10: "Purple Stained Clay", 
            11: "Blue Stained Clay", 
            12: "Brown Stained Clay", 
            13: "Green Stained Clay", 
            14: "Red Stained Clay", 
            15: "Black Stained Clay"
        }, 
        "tilename": "stained_hardened_clay"
    }, 
    160: {
        "meta": {
            0: "White Stained Glass Pane", 
            1: "Orange Stained Glass Pane", 
            2: "Magenta Stained Glass Pane", 
            3: "Light Blue Stained Glass Pane", 
            4: "Yellow Stained Glass Pane", 
            5: "Lime Stained Glass Pane", 
            6: "Pink Stained Glass Pane", 
            7: "Gray Stained Glass Pane", 
            8: "Light Gray Stained Glass Pane", 
            9: "Cyan Stained Glass Pane", 
            10: "Purple Stained Glass Pane", 
            11: "Blue Stained Glass Pane", 
            12: "Brown Stained Glass Pane", 
            13: "Green Stained Glass Pane", 
            14: "Red Stained Glass Pane", 
            15: "Black Stained Glass Pane"
        }, 
        "tilename": "stained_glass_pane"
    }, 
    161: {
        "meta": {
            0: "Acacia Leaves", 
            1: "Dark Oak Leaves"
        }, 
        "tilename": "leaves2"
    }, 
    162: {
        "meta": {
            0: "Acacia Wood", 
            1: "Dark Oak Wood"
        }, 
        "tilename": "log2"
    }, 
    163: {
        "meta": {
            0: "Acacia Wood Stairs"
        }, 
        "tilename": "acacia_stairs"
    }, 
    164: {
        "meta": {
            0: "Dark Oak Wood Stairs"
        }, 
        "tilename": "dark_oak_stairs"
    }, 
    165: {
        "meta": {
            0: "Slime Block"
        }, 
        "tilename": "slime"
    }, 
    166: {
        "meta": {
            0: "Barrier"
        }, 
        "tilename": "barrier"
    }, 
    167: {
        "meta": {
            0: "Iron Trapdoor"
        }, 
        "tilename": "iron_trapdoor"
    }, 
    168: {
        "meta": {
            0: "Prismarine", 
            1: "Prismarine Bricks", 
            2: "Dark Prismarine"
        }, 
        "tilename": "prismarine"
    }, 
    169: {
        "meta": {
            0: "Sea Lantern"
        }, 
        "tilename": "sea_lantern"
    }, 
    170: {
        "meta": {
            0: "Hay Bale"
        }, 
        "tilename": "hay_block"
    }, 
    171: {
        "meta": {
            0: "White Carpet", 
            1: "Orange Carpet", 
            2: "Magenta Carpet", 
            3: "Light Blue Carpet", 
            4: "Yellow Carpet", 
            5: "Lime Carpet", 
            6: "Pink Carpet", 
            7: "Gray Carpet", 
            8: "Light Gray Carpet", 
            9: "Cyan Carpet", 
            10: "Purple Carpet", 
            11: "Blue Carpet", 
            12: "Brown Carpet", 
            13: "Green Carpet", 
            14: "Red Carpet", 
            15: "Black Carpet"
        }, 
        "tilename": "carpet"
    }, 
    172: {
        "meta": {
            0: "Hardened Clay"
        }, 
        "tilename": "hardened_clay"
    }, 
    173: {
        "meta": {
            0: "Block of Coal"
        }, 
        "tilename": "coal_block"
    }, 
    174: {
        "meta": {
            0: "Packed Ice"
        }, 
        "tilename": "packed_ice"
    }, 
    175: {
        "meta": {
            0: "Sunflower", 
            1: "Lilac", 
            2: "Double Tallgrass", 
            3: "Large Fern", 
            4: "Rose Bush", 
            5: "Peony"
        }, 
        "tilename": "double_plant"
    }, 
    176: {
        "meta": {
            0: "Free-standing Banner"
        }, 
        "tilename": "standing_banner"
    }, 
    177: {
        "meta": {
            0: "Wall-mounted Banner"
        }, 
        "tilename": "wall_banner"
    }, 
    178: {
        "meta": {
            0: "Inverted Daylight Sensor"
        }, 
        "tilename": "daylight_detector_inverted"
    }, 
    179: {
        "meta": {
            0: "Red Sandstone", 
            1: "Chiseled Red Sandstone", 
            2: "Smooth Red Sandstone"
        }, 
        "tilename": "red_sandstone"
    }, 
    180: {
        "meta": {
            0: "Red Sandstone Stairs"
        }, 
        "tilename": "red_sandstone_stairs"
    }, 
    181: {
        "meta": {
            0: "Double Red Sandstone Slab"
        }, 
        "tilename": "double_stone_slab2"
    }, 
    182: {
        "meta": {
            0: "Red Sandstone Slab"
        }, 
        "tilename": "stone_slab2"
    }, 
    183: {
        "meta": {
            0: "Spruce Fence Gate"
        }, 
        "tilename": "spruce_fence_gate"
    }, 
    184: {
        "meta": {
            0: "Birch Fence Gate"
        }, 
        "tilename": "birch_fence_gate"
    }, 
    185: {
        "meta": {
            0: "Jungle Fence Gate"
        }, 
        "tilename": "jungle_fence_gate"
    }, 
    186: {
        "meta": {
            0: "Dark Oak Fence Gate"
        }, 
        "tilename": "dark_oak_fence_gate"
    }, 
    187: {
        "meta": {
            0: "Acacia Fence Gate"
        }, 
        "tilename": "acacia_fence_gate"
    }, 
    188: {
        "meta": {
            0: "Spruce Fence"
        }, 
        "tilename": "spruce_fence"
    }, 
    189: {
        "meta": {
            0: "Birch Fence"
        }, 
        "tilename": "birch_fence"
    }, 
    190: {
        "meta": {
            0: "Jungle Fence"
        }, 
        "tilename": "jungle_fence"
    }, 
    191: {
        "meta": {
            0: "Dark Oak Fence"
        }, 
        "tilename": "dark_oak_fence"
    }, 
    192: {
        "meta": {
            0: "Acacia Fence"
        }, 
        "tilename": "acacia_fence"
    }, 
    193: {
        "meta": {
            0: "Spruce Door Block"
        }, 
        "tilename": "spruce_door"
    }, 
    194: {
        "meta": {
            0: "Birch Door Block"
        }, 
        "tilename": "birch_door"
    }, 
    195: {
        "meta": {
            0: "Jungle Door Block"
        }, 
        "tilename": "jungle_door"
    }, 
    196: {
        "meta": {
            0: "Acacia Door Block"
        }, 
        "tilename": "acacia_door"
    }, 
    197: {
        "meta": {
            0: "Dark Oak Door Block"
        }, 
        "tilename": "dark_oak_door"
    }, 
    198: {
        "meta": {
            0: "End Rod"
        }, 
        "tilename": "end_rod"
    }, 
    199: {
        "meta": {
            0: "Chorus Plant"
        }, 
        "tilename": "chorus_plant"
    }, 
    200: {
        "meta": {
            0: "Chorus Flower"
        }, 
        "tilename": "chorus_flower"
    }, 
    201: {
        "meta": {
            0: "Purpur Block"
        }, 
        "tilename": "purpur_block"
    }, 
    202: {
        "meta": {
            0: "Purpur Pillar"
        }, 
        "tilename": "purpur_pillar"
    }, 
    203: {
        "meta": {
            0: "Purpur Stairs"
        }, 
        "tilename": "purpur_stairs"
    }, 
    204: {
        "meta": {
            0: "Purpur Double Slab"
        }, 
        "tilename": "purpur_double_slab"
    }, 
    205: {
        "meta": {
            0: "Purpur Slab"
        }, 
        "tilename": "purpur_slab"
    }, 
    206: {
        "meta": {
            0: "End Stone Bricks"
        }, 
        "tilename": "end_bricks"
    }, 
    207: {
        "meta": {
            0: "Beetroot Block"
        }, 
        "tilename": "beetroots"
    }, 
    208: {
        "meta": {
            0: "Grass Path"
        }, 
        "tilename": "grass_path"
    }, 
    209: {
        "meta": {
            0: "End Gateway"
        }, 
        "tilename": "end_gateway"
    }, 
    210: {
        "meta": {
            0: "Repeating Command Block"
        }, 
        "tilename": "repeating_command_block"
    }, 
    211: {
        "meta": {
            0: "Chain Command Block"
        }, 
        "tilename": "chain_command_block"
    }, 
    212: {
        "meta": {
            0: "Frosted Ice"
        }, 
        "tilename": "frosted_ice"
    }, 
    213: {
        "meta": {
            0: "Magma Block"
        }, 
        "tilename": "magma"
    }, 
    214: {
        "meta": {
            0: "Nether Wart Block"
        }, 
        "tilename": "nether_wart_block"
    }, 
    215: {
        "meta": {
            0: "Red Nether Brick"
        }, 
        "tilename": "red_nether_brick"
    }, 
    216: {
        "meta": {
            0: "Bone Block"
        }, 
        "tilename": "bone_block"
    }, 
    217: {
        "meta": {
            0: "Structure Void"
        }, 
        "tilename": "structure_void"
    }, 
    218: {
        "meta": {
            0: "Observer"
        }, 
        "tilename": "observer"
    }, 
    219: {
        "meta": {
            0: "White Shulker Box"
        }, 
        "tilename": "white_shulker_box"
    }, 
    220: {
        "meta": {
            0: "Orange Shulker Box"
        }, 
        "tilename": "orange_shulker_box"
    }, 
    221: {
        "meta": {
            0: "Magenta Shulker Box"
        }, 
        "tilename": "magenta_shulker_box"
    }, 
    222: {
        "meta": {
            0: "Light Blue Shulker Box"
        }, 
        "tilename": "light_blue_shulker_box"
    }, 
    223: {
        "meta": {
            0: "Yellow Shulker Box"
        }, 
        "tilename": "yellow_shulker_box"
    }, 
    224: {
        "meta": {
            0: "Lime Shulker Box"
        }, 
        "tilename": "lime_shulker_box"
    }, 
    225: {
        "meta": {
            0: "Pink Shulker Box"
        }, 
        "tilename": "pink_shulker_box"
    }, 
    226: {
        "meta": {
            0: "Gray Shulker Box"
        }, 
        "tilename": "gray_shulker_box"
    }, 
    227: {
        "meta": {
            0: "Light Gray Shulker Box"
        }, 
        "tilename": "silver_shulker_box"
    }, 
    228: {
        "meta": {
            0: "Cyan Shulker Box"
        }, 
        "tilename": "cyan_shulker_box"
    }, 
    229: {
        "meta": {
            0: "Purple Shulker Box"
        }, 
        "tilename": "purple_shulker_box"
    }, 
    230: {
        "meta": {
            0: "Blue Shulker Box"
        }, 
        "tilename": "blue_shulker_box"
    }, 
    231: {
        "meta": {
            0: "Brown Shulker Box"
        }, 
        "tilename": "brown_shulker_box"
    }, 
    232: {
        "meta": {
            0: "Green Shulker Box"
        }, 
        "tilename": "green_shulker_box"
    }, 
    233: {
        "meta": {
            0: "Red Shulker Box"
        }, 
        "tilename": "red_shulker_box"
    }, 
    234: {
        "meta": {
            0: "Black Shulker Box"
        }, 
        "tilename": "black_shulker_box"
    }, 
    255: {
        "meta": {
            0: "Structure Block"
        }, 
        "tilename": "structure_block"
    }, 
    256: {
        "meta": {
            0: "Iron Shovel"
        }, 
        "tilename": "iron_shovel"
    }, 
    257: {
        "meta": {
            0: "Iron Pickaxe"
        }, 
        "tilename": "iron_pickaxe"
    }, 
    258: {
        "meta": {
            0: "Iron Axe"
        }, 
        "tilename": "iron_axe"
    }, 
    259: {
        "meta": {
            0: "Flint and Steel"
        }, 
        "tilename": "flint_and_steel"
    }, 
    260: {
        "meta": {
            0: "Apple"
        }, 
        "tilename": "apple"
    }, 
    261: {
        "meta": {
            0: "Bow"
        }, 
        "tilename": "bow"
    }, 
    262: {
        "meta": {
            0: "Arrow"
        }, 
        "tilename": "arrow"
    }, 
    263: {
        "meta": {
            0: "Coal", 
            1: "Charcoal"
        }, 
        "tilename": "coal"
    }, 
    264: {
        "meta": {
            0: "Diamond"
        }, 
        "tilename": "diamond"
    }, 
    265: {
        "meta": {
            0: "Iron Ingot"
        }, 
        "tilename": "iron_ingot"
    }, 
    266: {
        "meta": {
            0: "Gold Ingot"
        }, 
        "tilename": "gold_ingot"
    }, 
    267: {
        "meta": {
            0: "Iron Sword"
        }, 
        "tilename": "iron_sword"
    }, 
    268: {
        "meta": {
            0: "Wooden Sword"
        }, 
        "tilename": "wooden_sword"
    }, 
    269: {
        "meta": {
            0: "Wooden Shovel"
        }, 
        "tilename": "wooden_shovel"
    }, 
    270: {
        "meta": {
            0: "Wooden Pickaxe"
        }, 
        "tilename": "wooden_pickaxe"
    }, 
    271: {
        "meta": {
            0: "Wooden Axe"
        }, 
        "tilename": "wooden_axe"
    }, 
    272: {
        "meta": {
            0: "Stone Sword"
        }, 
        "tilename": "stone_sword"
    }, 
    273: {
        "meta": {
            0: "Stone Shovel"
        }, 
        "tilename": "stone_shovel"
    }, 
    274: {
        "meta": {
            0: "Stone Pickaxe"
        }, 
        "tilename": "stone_pickaxe"
    }, 
    275: {
        "meta": {
            0: "Stone Axe"
        }, 
        "tilename": "stone_axe"
    }, 
    276: {
        "meta": {
            0: "Diamond Sword"
        }, 
        "tilename": "diamond_sword"
    }, 
    277: {
        "meta": {
            0: "Diamond Shovel"
        }, 
        "tilename": "diamond_shovel"
    }, 
    278: {
        "meta": {
            0: "Diamond Pickaxe"
        }, 
        "tilename": "diamond_pickaxe"
    }, 
    279: {
        "meta": {
            0: "Diamond Axe"
        }, 
        "tilename": "diamond_axe"
    }, 
    280: {
        "meta": {
            0: "Stick"
        }, 
        "tilename": "stick"
    }, 
    281: {
        "meta": {
            0: "Bowl"
        }, 
        "tilename": "bowl"
    }, 
    282: {
        "meta": {
            0: "Mushroom Stew"
        }, 
        "tilename": "mushroom_stew"
    }, 
    283: {
        "meta": {
            0: "Golden Sword"
        }, 
        "tilename": "golden_sword"
    }, 
    284: {
        "meta": {
            0: "Golden Shovel"
        }, 
        "tilename": "golden_shovel"
    }, 
    285: {
        "meta": {
            0: "Golden Pickaxe"
        }, 
        "tilename": "golden_pickaxe"
    }, 
    286: {
        "meta": {
            0: "Golden Axe"
        }, 
        "tilename": "golden_axe"
    }, 
    287: {
        "meta": {
            0: "String"
        }, 
        "tilename": "string"
    }, 
    288: {
        "meta": {
            0: "Feather"
        }, 
        "tilename": "feather"
    }, 
    289: {
        "meta": {
            0: "Gunpowder"
        }, 
        "tilename": "gunpowder"
    }, 
    290: {
        "meta": {
            0: "Wooden Hoe"
        }, 
        "tilename": "wooden_hoe"
    }, 
    291: {
        "meta": {
            0: "Stone Hoe"
        }, 
        "tilename": "stone_hoe"
    }, 
    292: {
        "meta": {
            0: "Iron Hoe"
        }, 
        "tilename": "iron_hoe"
    }, 
    293: {
        "meta": {
            0: "Diamond Hoe"
        }, 
        "tilename": "diamond_hoe"
    }, 
    294: {
        "meta": {
            0: "Golden Hoe"
        }, 
        "tilename": "golden_hoe"
    }, 
    295: {
        "meta": {
            0: "Wheat Seeds"
        }, 
        "tilename": "wheat_seeds"
    }, 
    296: {
        "meta": {
            0: "Wheat"
        }, 
        "tilename": "wheat"
    }, 
    297: {
        "meta": {
            0: "Bread"
        }, 
        "tilename": "bread"
    }, 
    298: {
        "meta": {
            0: "Leather Helmet"
        }, 
        "tilename": "leather_helmet"
    }, 
    299: {
        "meta": {
            0: "Leather Tunic"
        }, 
        "tilename": "leather_chestplate"
    }, 
    300: {
        "meta": {
            0: "Leather Pants"
        }, 
        "tilename": "leather_leggings"
    }, 
    301: {
        "meta": {
            0: "Leather Boots"
        }, 
        "tilename": "leather_boots"
    }, 
    302: {
        "meta": {
            0: "Chainmail Helmet"
        }, 
        "tilename": "chainmail_helmet"
    }, 
    303: {
        "meta": {
            0: "Chainmail Chestplate"
        }, 
        "tilename": "chainmail_chestplate"
    }, 
    304: {
        "meta": {
            0: "Chainmail Leggings"
        }, 
        "tilename": "chainmail_leggings"
    }, 
    305: {
        "meta": {
            0: "Chainmail Boots"
        }, 
        "tilename": "chainmail_boots"
    }, 
    306: {
        "meta": {
            0: "Iron Helmet"
        }, 
        "tilename": "iron_helmet"
    }, 
    307: {
        "meta": {
            0: "Iron Chestplate"
        }, 
        "tilename": "iron_chestplate"
    }, 
    308: {
        "meta": {
            0: "Iron Leggings"
        }, 
        "tilename": "iron_leggings"
    }, 
    309: {
        "meta": {
            0: "Iron Boots"
        }, 
        "tilename": "iron_boots"
    }, 
    310: {
        "meta": {
            0: "Diamond Helmet"
        }, 
        "tilename": "diamond_helmet"
    }, 
    311: {
        "meta": {
            0: "Diamond Chestplate"
        }, 
        "tilename": "diamond_chestplate"
    }, 
    312: {
        "meta": {
            0: "Diamond Leggings"
        }, 
        "tilename": "diamond_leggings"
    }, 
    313: {
        "meta": {
            0: "Diamond Boots"
        }, 
        "tilename": "diamond_boots"
    }, 
    314: {
        "meta": {
            0: "Golden Helmet"
        }, 
        "tilename": "golden_helmet"
    }, 
    315: {
        "meta": {
            0: "Golden Chestplate"
        }, 
        "tilename": "golden_chestplate"
    }, 
    316: {
        "meta": {
            0: "Golden Leggings"
        }, 
        "tilename": "golden_leggings"
    }, 
    317: {
        "meta": {
            0: "Golden Boots"
        }, 
        "tilename": "golden_boots"
    }, 
    318: {
        "meta": {
            0: "Flint"
        }, 
        "tilename": "flint"
    }, 
    319: {
        "meta": {
            0: "Raw Porkchop"
        }, 
        "tilename": "porkchop"
    }, 
    320: {
        "meta": {
            0: "Cooked Porkchop"
        }, 
        "tilename": "cooked_porkchop"
    }, 
    321: {
        "meta": {
            0: "Painting"
        }, 
        "tilename": "painting"
    }, 
    322: {
        "meta": {
            0: "Golden Apple", 
            1: "Enchanted Golden Apple"
        }, 
        "tilename": "golden_apple"
    }, 
    323: {
        "meta": {
            0: "Sign"
        }, 
        "tilename": "sign"
    }, 
    324: {
        "meta": {
            0: "Oak Door"
        }, 
        "tilename": "wooden_door"
    }, 
    325: {
        "meta": {
            0: "Bucket"
        }, 
        "tilename": "bucket"
    }, 
    326: {
        "meta": {
            0: "Water Bucket"
        }, 
        "tilename": "water_bucket"
    }, 
    327: {
        "meta": {
            0: "Lava Bucket"
        }, 
        "tilename": "lava_bucket"
    }, 
    328: {
        "meta": {
            0: "Minecart"
        }, 
        "tilename": "minecart"
    }, 
    329: {
        "meta": {
            0: "Saddle"
        }, 
        "tilename": "saddle"
    }, 
    330: {
        "meta": {
            0: "Iron Door"
        }, 
        "tilename": "iron_door"
    }, 
    331: {
        "meta": {
            0: "Redstone"
        }, 
        "tilename": "redstone"
    }, 
    332: {
        "meta": {
            0: "Snowball"
        }, 
        "tilename": "snowball"
    }, 
    333: {
        "meta": {
            0: "Oak Boat"
        }, 
        "tilename": "boat"
    }, 
    334: {
        "meta": {
            0: "Leather"
        }, 
        "tilename": "leather"
    }, 
    335: {
        "meta": {
            0: "Milk Bucket"
        }, 
        "tilename": "milk_bucket"
    }, 
    336: {
        "meta": {
            0: "Brick"
        }, 
        "tilename": "brick"
    }, 
    337: {
        "meta": {
            0: "Clay"
        }, 
        "tilename": "clay_ball"
    }, 
    338: {
        "meta": {
            0: "Sugar Canes"
        }, 
        "tilename": "reeds"
    }, 
    339: {
        "meta": {
            0: "Paper"
        }, 
        "tilename": "paper"
    }, 
    340: {
        "meta": {
            0: "Book"
        }, 
        "tilename": "book"
    }, 
    341: {
        "meta": {
            0: "Slimeball"
        }, 
        "tilename": "slime_ball"
    }, 
    342: {
        "meta": {
            0: "Minecart with Chest"
        }, 
        "tilename": "chest_minecart"
    }, 
    343: {
        "meta": {
            0: "Minecart with Furnace"
        }, 
        "tilename": "furnace_minecart"
    }, 
    344: {
        "meta": {
            0: "Egg"
        }, 
        "tilename": "egg"
    }, 
    345: {
        "meta": {
            0: "Compass"
        }, 
        "tilename": "compass"
    }, 
    346: {
        "meta": {
            0: "Fishing Rod"
        }, 
        "tilename": "fishing_rod"
    }, 
    347: {
        "meta": {
            0: "Clock"
        }, 
        "tilename": "clock"
    }, 
    348: {
        "meta": {
            0: "Glowstone Dust"
        }, 
        "tilename": "glowstone_dust"
    }, 
    349: {
        "meta": {
            0: "Raw Fish", 
            1: "Raw Salmon", 
            2: "Clownfish", 
            3: "Pufferfish"
        }, 
        "tilename": "fish"
    }, 
    350: {
        "meta": {
            0: "Cooked Fish", 
            1: "Cooked Salmon"
        }, 
        "tilename": "cooked_fish"
    }, 
    351: {
        "meta": {
            0: "Ink Sack", 
            1: "Rose Red", 
            2: "Cactus Green", 
            3: "Coco Beans", 
            4: "Lapis Lazuli", 
            5: "Purple Dye", 
            6: "Cyan Dye", 
            7: "Light Gray Dye", 
            8: "Gray Dye", 
            9: "Pink Dye", 
            10: "Lime Dye", 
            11: "Dandelion Yellow", 
            12: "Light Blue Dye", 
            13: "Magenta Dye", 
            14: "Orange Dye", 
            15: "Bone Meal"
        }, 
        "tilename": "dye"
    }, 
    352: {
        "meta": {
            0: "Bone"
        }, 
        "tilename": "bone"
    }, 
    353: {
        "meta": {
            0: "Sugar"
        }, 
        "tilename": "sugar"
    }, 
    354: {
        "meta": {
            0: "Cake"
        }, 
        "tilename": "cake"
    }, 
    355: {
        "meta": {
            0: "Bed"
        }, 
        "tilename": "bed"
    }, 
    356: {
        "meta": {
            0: "Redstone Repeater"
        }, 
        "tilename": "repeater"
    }, 
    357: {
        "meta": {
            0: "Cookie"
        }, 
        "tilename": "cookie"
    }, 
    358: {
        "meta": {
            0: "Map"
        }, 
        "tilename": "filled_map"
    }, 
    359: {
        "meta": {
            0: "Shears"
        }, 
        "tilename": "shears"
    }, 
    360: {
        "meta": {
            0: "Melon"
        }, 
        "tilename": "melon"
    }, 
    361: {
        "meta": {
            0: "Pumpkin Seeds"
        }, 
        "tilename": "pumpkin_seeds"
    }, 
    362: {
        "meta": {
            0: "Melon Seeds"
        }, 
        "tilename": "melon_seeds"
    }, 
    363: {
        "meta": {
            0: "Raw Beef"
        }, 
        "tilename": "beef"
    }, 
    364: {
        "meta": {
            0: "Steak"
        }, 
        "tilename": "cooked_beef"
    }, 
    365: {
        "meta": {
            0: "Raw Chicken"
        }, 
        "tilename": "chicken"
    }, 
    366: {
        "meta": {
            0: "Cooked Chicken"
        }, 
        "tilename": "cooked_chicken"
    }, 
    367: {
        "meta": {
            0: "Rotten Flesh"
        }, 
        "tilename": "rotten_flesh"
    }, 
    368: {
        "meta": {
            0: "Ender Pearl"
        }, 
        "tilename": "ender_pearl"
    }, 
    369: {
        "meta": {
            0: "Blaze Rod"
        }, 
        "tilename": "blaze_rod"
    }, 
    370: {
        "meta": {
            0: "Ghast Tear"
        }, 
        "tilename": "ghast_tear"
    }, 
    371: {
        "meta": {
            0: "Gold Nugget"
        }, 
        "tilename": "gold_nugget"
    }, 
    372: {
        "meta": {
            0: "Nether Wart"
        }, 
        "tilename": "nether_wart"
    }, 
    373: {
        "meta": {
            0: "Potion"
        }, 
        "tilename": "potion"
    }, 
    374: {
        "meta": {
            0: "Glass Bottle"
        }, 
        "tilename": "glass_bottle"
    }, 
    375: {
        "meta": {
            0: "Spider Eye"
        }, 
        "tilename": "spider_eye"
    }, 
    376: {
        "meta": {
            0: "Fermented Spider Eye"
        }, 
        "tilename": "fermented_spider_eye"
    }, 
    377: {
        "meta": {
            0: "Blaze Powder"
        }, 
        "tilename": "blaze_powder"
    }, 
    378: {
        "meta": {
            0: "Magma Cream"
        }, 
        "tilename": "magma_cream"
    }, 
    379: {
        "meta": {
            0: "Brewing Stand"
        }, 
        "tilename": "brewing_stand"
    }, 
    380: {
        "meta": {
            0: "Cauldron"
        }, 
        "tilename": "cauldron"
    }, 
    381: {
        "meta": {
            0: "Eye of Ender"
        }, 
        "tilename": "ender_eye"
    }, 
    382: {
        "meta": {
            0: "Glistering Melon"
        }, 
        "tilename": "speckled_melon"
    }, 
    383: {
        "meta": {
            4: "Spawn Elder Guardian", 
            5: "Spawn Wither Skeleton", 
            6: "Spawn Stray", 
            23: "Spawn Husk", 
            27: "Spawn Zombie Villager", 
            28: "Spawn Skeleton Horse", 
            29: "Spawn Zombie Horse", 
            31: "Spawn Donkey", 
            32: "Spawn Mule", 
            34: "Spawn Evoker", 
            35: "Spawn Vex", 
            36: "Spawn Vindicator", 
            50: "Spawn Creeper", 
            51: "Spawn Skeleton", 
            52: "Spawn Spider", 
            54: "Spawn Zombie", 
            55: "Spawn Slime", 
            56: "Spawn Ghast", 
            57: "Spawn Zombie Pigman", 
            58: "Spawn Enderman", 
            59: "Spawn Cave Spider", 
            60: "Spawn Silverfish", 
            61: "Spawn Blaze", 
            62: "Spawn Magma Cube", 
            65: "Spawn Bat", 
            66: "Spawn Witch", 
            67: "Spawn Endermite", 
            68: "Spawn Guardian", 
            69: "Spawn Shulker", 
            90: "Spawn Pig", 
            91: "Spawn Sheep", 
            92: "Spawn Cow", 
            93: "Spawn Chicken", 
            94: "Spawn Squid", 
            95: "Spawn Wolf", 
            96: "Spawn Mooshroom", 
            98: "Spawn Ocelot", 
            100: "Spawn Horse", 
            101: "Spawn Rabbit", 
            102: "Spawn Polar Bear", 
            103: "Spawn Llama", 
            120: "Spawn Villager"
        }, 
        "tilename": "spawn_egg"
    }, 
    384: {
        "meta": {
            0: "Bottle o' Enchanting"
        }, 
        "tilename": "experience_bottle"
    }, 
    385: {
        "meta": {
            0: "Fire Charge"
        }, 
        "tilename": "fire_charge"
    }, 
    386: {
        "meta": {
            0: "Book and Quill"
        }, 
        "tilename": "writable_book"
    }, 
    387: {
        "meta": {
            0: "Written Book"
        }, 
        "tilename": "written_book"
    }, 
    388: {
        "meta": {
            0: "Emerald"
        }, 
        "tilename": "emerald"
    }, 
    389: {
        "meta": {
            0: "Item Frame"
        }, 
        "tilename": "item_frame"
    }, 
    390: {
        "meta": {
            0: "Flower Pot"
        }, 
        "tilename": "flower_pot"
    }, 
    391: {
        "meta": {
            0: "Carrot"
        }, 
        "tilename": "carrot"
    }, 
    392: {
        "meta": {
            0: "Potato"
        }, 
        "tilename": "potato"
    }, 
    393: {
        "meta": {
            0: "Baked Potato"
        }, 
        "tilename": "baked_potato"
    }, 
    394: {
        "meta": {
            0: "Poisonous Potato"
        }, 
        "tilename": "poisonous_potato"
    }, 
    395: {
        "meta": {
            0: "Empty Map"
        }, 
        "tilename": "map"
    }, 
    396: {
        "meta": {
            0: "Golden Carrot"
        }, 
        "tilename": "golden_carrot"
    }, 
    397: {
        "meta": {
            0: "Mob Head (Skeleton)", 
            1: "Mob Head (Wither Skeleton)", 
            2: "Mob Head (Zombie)", 
            3: "Mob Head (Human)", 
            4: "Mob Head (Creeper)", 
            5: "Mob Head (Dragon)"
        }, 
        "tilename": "skull"
    }, 
    398: {
        "meta": {
            0: "Carrot on a Stick"
        }, 
        "tilename": "carrot_on_a_stick"
    }, 
    399: {
        "meta": {
            0: "Nether Star"
        }, 
        "tilename": "nether_star"
    }, 
    400: {
        "meta": {
            0: "Pumpkin Pie"
        }, 
        "tilename": "pumpkin_pie"
    }, 
    401: {
        "meta": {
            0: "Firework Rocket"
        }, 
        "tilename": "fireworks"
    }, 
    402: {
        "meta": {
            0: "Firework Star"
        }, 
        "tilename": "firework_charge"
    }, 
    403: {
        "meta": {
            0: "Enchanted Book"
        }, 
        "tilename": "enchanted_book"
    }, 
    404: {
        "meta": {
            0: "Redstone Comparator"
        }, 
        "tilename": "comparator"
    }, 
    405: {
        "meta": {
            0: "Nether Brick"
        }, 
        "tilename": "netherbrick"
    }, 
    406: {
        "meta": {
            0: "Nether Quartz"
        }, 
        "tilename": "quartz"
    }, 
    407: {
        "meta": {
            0: "Minecart with TNT"
        }, 
        "tilename": "tnt_minecart"
    }, 
    408: {
        "meta": {
            0: "Minecart with Hopper"
        }, 
        "tilename": "hopper_minecart"
    }, 
    409: {
        "meta": {
            0: "Prismarine Shard"
        }, 
        "tilename": "prismarine_shard"
    }, 
    410: {
        "meta": {
            0: "Prismarine Crystals"
        }, 
        "tilename": "prismarine_crystals"
    }, 
    411: {
        "meta": {
            0: "Raw Rabbit"
        }, 
        "tilename": "rabbit"
    }, 
    412: {
        "meta": {
            0: "Cooked Rabbit"
        }, 
        "tilename": "cooked_rabbit"
    }, 
    413: {
        "meta": {
            0: "Rabbit Stew"
        }, 
        "tilename": "rabbit_stew"
    }, 
    414: {
        "meta": {
            0: "Rabbit's Foot"
        }, 
        "tilename": "rabbit_foot"
    }, 
    415: {
        "meta": {
            0: "Rabbit Hide"
        }, 
        "tilename": "rabbit_hide"
    }, 
    416: {
        "meta": {
            0: "Armor Stand"
        }, 
        "tilename": "armor_stand"
    }, 
    417: {
        "meta": {
            0: "Iron Horse Armor"
        }, 
        "tilename": "iron_horse_armor"
    }, 
    418: {
        "meta": {
            0: "Golden Horse Armor"
        }, 
        "tilename": "golden_horse_armor"
    }, 
    419: {
        "meta": {
            0: "Diamond Horse Armor"
        }, 
        "tilename": "diamond_horse_armor"
    }, 
    420: {
        "meta": {
            0: "Lead"
        }, 
        "tilename": "lead"
    }, 
    421: {
        "meta": {
            0: "Name Tag"
        }, 
        "tilename": "name_tag"
    }, 
    422: {
        "meta": {
            0: "Minecart with Command Block"
        }, 
        "tilename": "command_block_minecart"
    }, 
    423: {
        "meta": {
            0: "Raw Mutton"
        }, 
        "tilename": "mutton"
    }, 
    424: {
        "meta": {
            0: "Cooked Mutton"
        }, 
        "tilename": "cooked_mutton"
    }, 
    425: {
        "meta": {
            0: "Banner"
        }, 
        "tilename": "banner"
    }, 
    427: {
        "meta": {
            0: "Spruce Door"
        }, 
        "tilename": "spruce_door"
    }, 
    428: {
        "meta": {
            0: "Birch Door"
        }, 
        "tilename": "birch_door"
    }, 
    429: {
        "meta": {
            0: "Jungle Door"
        }, 
        "tilename": "jungle_door"
    }, 
    430: {
        "meta": {
            0: "Acacia Door"
        }, 
        "tilename": "acacia_door"
    }, 
    431: {
        "meta": {
            0: "Dark Oak Door"
        }, 
        "tilename": "dark_oak_door"
    }, 
    432: {
        "meta": {
            0: "Chorus Fruit"
        }, 
        "tilename": "chorus_fruit"
    }, 
    433: {
        "meta": {
            0: "Popped Chorus Fruit"
        }, 
        "tilename": "popped_chorus_fruit"
    }, 
    434: {
        "meta": {
            0: "Beetroot"
        }, 
        "tilename": "beetroot"
    }, 
    435: {
        "meta": {
            0: "Beetroot Seeds"
        }, 
        "tilename": "beetroot_seeds"
    }, 
    436: {
        "meta": {
            0: "Beetroot Soup"
        }, 
        "tilename": "beetroot_soup"
    }, 
    437: {
        "meta": {
            0: "Dragon's Breath"
        }, 
        "tilename": "dragon_breath"
    }, 
    438: {
        "meta": {
            0: "Splash Potion"
        }, 
        "tilename": "splash_potion"
    }, 
    439: {
        "meta": {
            0: "Spectral Arrow"
        }, 
        "tilename": "spectral_arrow"
    }, 
    440: {
        "meta": {
            0: "Tipped Arrow"
        }, 
        "tilename": "tipped_arrow"
    }, 
    441: {
        "meta": {
            0: "Lingering Potion"
        }, 
        "tilename": "lingering_potion"
    }, 
    442: {
        "meta": {
            0: "Shield"
        }, 
        "tilename": "shield"
    }, 
    443: {
        "meta": {
            0: "Elytra"
        }, 
        "tilename": "elytra"
    }, 
    444: {
        "meta": {
            0: "Spruce Boat"
        }, 
        "tilename": "spruce_boat"
    }, 
    445: {
        "meta": {
            0: "Birch Boat"
        }, 
        "tilename": "birch_boat"
    }, 
    446: {
        "meta": {
            0: "Jungle Boat"
        }, 
        "tilename": "jungle_boat"
    }, 
    447: {
        "meta": {
            0: "Acacia Boat"
        }, 
        "tilename": "acacia_boat"
    }, 
    448: {
        "meta": {
            0: "Dark Oak Boat"
        }, 
        "tilename": "dark_oak_boat"
    }, 
    449: {
        "meta": {
            0: "Totem of Undying"
        }, 
        "tilename": "totem_of_undying"
    }, 
    450: {
        "meta": {
            0: "Shulker Shell"
        }, 
        "tilename": "shulker_shell"
    }, 
    452: {
        "meta": {
            0: "Iron Nugget"
        }, 
        "tilename": "iron_nugget"
    }, 
    2256: {
        "meta": {
            0: "13 Disc"
        }, 
        "tilename": "record_13"
    }, 
    2257: {
        "meta": {
            0: "Cat Disc"
        }, 
        "tilename": "record_cat"
    }, 
    2258: {
        "meta": {
            0: "Blocks Disc"
        }, 
        "tilename": "record_blocks"
    }, 
    2259: {
        "meta": {
            0: "Chirp Disc"
        }, 
        "tilename": "record_chirp"
    }, 
    2260: {
        "meta": {
            0: "Far Disc"
        }, 
        "tilename": "record_far"
    }, 
    2261: {
        "meta": {
            0: "Mall Disc"
        }, 
        "tilename": "record_mall"
    }, 
    2262: {
        "meta": {
            0: "Mellohi Disc"
        }, 
        "tilename": "record_mellohi"
    }, 
    2263: {
        "meta": {
            0: "Stal Disc"
        }, 
        "tilename": "record_stal"
    }, 
    2264: {
        "meta": {
            0: "Strad Disc"
        }, 
        "tilename": "record_strad"
    }, 
    2265: {
        "meta": {
            0: "Ward Disc"
        }, 
        "tilename": "record_ward"
    }, 
    2266: {
        "meta": {
            0: "11 Disc"
        }, 
        "tilename": "record_11"
    }, 
    2267: {
        "meta": {
            0: "Wait Disc"
        }, 
        "tilename": "record_wait"
    }
}
